<?php
/**
 * Template for showing the course sites main menu
 *
 * @author David Brabbins
 * @since 0.1.9
 */

$current_user 			= wp_get_current_user();
$stackholder     		= get_theme_mod( 'faculty_school' );
$course_title			= ( empty( get_theme_mod( 'course_title' ) ) ? 'Please Enter Course Tilte' : get_theme_mod( 'course_title' ) );
$wf_home_class			= ( is_front_page() || is_page() ? ' is-home-page' : '' );
$home_url				=  home_url( '/' );

$user_welcome       	= ( is_user_logged_in() ? $current_user->display_name : 'Login' );
$user_url_info      	= ( is_user_logged_in() ? site_url( '/me' ) : wp_login_url( get_permalink() ) );

$menu_atts 				= array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu', 'container' => 'ul', 'items_wrap' => '<ul class="menu vertical" aria-haspopup="true">%3$s</ul>' ); 
?>


<div class="off-canvas position-right" id="offCanvasRight1" data-off-canvas data-transition="overlap" data-content-scroll="true">
    <div class="row expanded">
		<button class="close-button button secondary column" aria-label="Close menu" type="button" data-close>
			<span aria-hidden="true">&times; Close</span>
		</button>
		<div class="menus small-12 column">
			<?php if ( is_user_logged_in() ) : ?>
			<section>
				<header>
					<h4><svg class="ui-icon user" aria-hidden="true"><use xlink:href="#user"></use></svg> User menu</h4>
				</header>
				<nav>
					<ul class="menu vertical user-login-menu">
						<li><a href="#"><?php echo esc_html( $user_welcome ); ?></a></li>
						<li><a class="user-profile" href="<?php echo esc_url( $user_url_info ); ?>">My profile</a></li>
						<li><a class="user-courses" href="<?php echo esc_url( $user_url_info ); ?>">My course spaces</a></li>
					</ul>
				</nav>
			</section>
			<hr />
			<?php endif; ?>
			<section>
				<header>
					<h4><svg class="ui-icon menu-icon" aria-hidden="true"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#menu"></use></svg> Site menu</h4>
				</header>
				<nav>
					<?php wp_nav_menu( $menu_atts ); ?>
				</nav>
			</section>
    	</div><!-- .menus -->
    </div><!-- .row -->
</div><!-- #offCanvasRight1 -->