<?php
/**
	* Template for showing custom sidebar content
	* loadd by UBC_CLF_Lite::add_ubc_wp_clf_lite_sidebar_course_tabs()
	*
	* @author David Brabbins
	* @since 1.0
	*/

$handouts 			= UBC_WP_CLF_Lite::get_handouts_for_subsection( $post );

$if_handouts_class 	= ( $handouts >= 1 ? '' : 'class="disabled"' );
$if_handouts_title	= 'Handouts';

global $post;
/* Get an array of Ancestors and Parents if they exist */
$parents = get_post_ancestors( $post->ID );
/* Get the top Level page->ID count base 1, array base 0 so -1 */ 
$id = ($parents) ? $parents[count($parents)-1]: $post->ID;
/* Get the parent and set the $class with the page slug (post_name) */
$parent = get_post( $id );
$parent_title		= empty( $post->post_parent ) ? '' : get_the_title( $post->post_parent );

?>
<div class="course-sidebar-tabs">
	<ul class="tabs row small-collapse" data-tabs role="tablist" id="section-tabs">
			<li class="tabs-title is-active column">
				<a href="#section1" role="tab" aria-selected="true" aria-controls="#section1"><svg class="ui-icon list" aria-hidden="false"><use xlink:href="#list"></use></svg> Sections</a>
			</li>
			<li class="tabs-title column">
				<a href="#section2" role="tab" aria-selected="false" aria-controls="#section2" <?php echo wp_kses_post( $if_handouts_class ); ?>><svg class="ui-icon handout-icon" aria-hidden="false"><use xlink:href="#download"></use></svg> <?php echo esc_html( $if_handouts_title ); ?></a>
			</li>
			<li class="tabs-title column">
				<a href="#section3" role="tab" aria-selected="false" aria-controls="#section3"><svg class="ui-icon pencil" aria-hidden="false"><use xlink:href="#pencil"></use></svg> Notes</a>
			</li>
	</ul>
	<!-- end ul.tabs -->

	<div class="tabs-content" data-tabs-content="section-tabs">
		<div id="section1" class="tabs-panel sub-section-tab content is-active" role="tabpanel" aria-hidden="false">
		<header>
			<h2 class="parent-title">
			<small>Section:</small> <?php echo esc_html( $parent_title ); ?>
			</h2>
		</header>
		<nav>
			<ul class="sub-section-list">
				<?php do_action( 'sections_page_listing' ); ?>
			</ul>
		</nav>
		</div>
		<!-- end #section1 -->
		<div id="section2" class="tabs-panel handouts-tab" role="tabpanel" aria-hidden="true">
			<?php do_action( 'wp_clf_lite_sidebar_handouts' ); ?>
		</div>
		<!-- end #section2 -->
		<div id="section3" class="tabs-panel notes" role="tabpanel" aria-hidden="true">
			<?php do_action( 'wp_clf_lite_sidebar_notes' ); ?>
		</div>
		<!-- end #section3 -->
	</div>
	<!-- end .tab-content -->
</div>
<!-- end course-sidebar-tabs -->
